import { describe, it, expect } from 'vitest';
import Calculator from './calculator';

describe('Calculator', () => {
  describe('add', () => {
    it('should add 1 and 1 and return 2', () => {
      const calculator = new Calculator();
      const result = calculator.add(1, 1);
      expect(result).toBe(2);
    });

    it('should add -1 and 1 and return 0', () => {
      const calculator = new Calculator();
      const result = calculator.add(-1, 1);
      expect(result).toBe(0);
    });
  });
});
